BEA WebLogic Server race condition denial of service

weblogic-race-condition-dos (9486) The risk level is classified as MediumMedium Risk

Description:

BEA WebLogic Server and Express is vulnerable to a denial of service attack, caused by a race condition in the server code. If a remote attacker could cause the server to enter into a race condition, the attacker could cause the server to stop responding to legitimate user requests.


Consequences:

Denial of Service

Remedy:

Apply the appropriate patch for your system, as listed in BEA Systems Inc. SECURITY ADVISORY (BEA02-19.00). See References.

References:

Platforms Affected:

  • Oracle WebLogic Server 5.1 Express
  • Oracle WebLogic Server 5.1 SP9 Express
  • Oracle WebLogic Server 5.1 SP9
  • Oracle WebLogic Server 5.1 SP8 Express
  • Oracle WebLogic Server 5.1 SP8
  • Oracle WebLogic Server 5.1 SP7 Express
  • Oracle WebLogic Server 5.1 SP7
  • Oracle WebLogic Server 5.1 SP6 Express
  • Oracle WebLogic Server 5.1 SP6
  • Oracle WebLogic Server 5.1 SP5 Express
  • Oracle WebLogic Server 5.1 SP5
  • Oracle WebLogic Server 5.1 SP4 Express
  • Oracle WebLogic Server 5.1 SP4
  • Oracle WebLogic Server 5.1 SP3 Express
  • Oracle WebLogic Server 5.1 SP3
  • Oracle WebLogic Server 5.1
  • Oracle WebLogic Server 5.1 SP1
  • Oracle WebLogic Server 5.1 SP1 Express
  • Oracle WebLogic Server 5.1 SP10
  • Oracle WebLogic Server 5.1 SP10 Express
  • Oracle WebLogic Server 5.1 SP11 Express
  • Oracle WebLogic Server 5.1 SP12
  • Oracle WebLogic Server 5.1 SP12 Express
  • Oracle WebLogic Server 5.1 SP2
  • Oracle WebLogic Server 5.1 SP2 Express
  • Oracle WebLogic Server 6.0 SP1
  • Oracle WebLogic Server 6.0
  • Oracle WebLogic Server 6.0 SP1 Express
  • Oracle WebLogic Server 6.0 SP2 Express
  • Oracle WebLogic Server 6.0 SP2
  • Oracle WebLogic Server 6.0 Express
  • Oracle WebLogic Server 6.1 SP1
  • Oracle WebLogic Server 6.1
  • Oracle WebLogic Server 6.1 SP1 Express
  • Oracle WebLogic Server 6.1 Express
  • Oracle WebLogic Server 6.1 SP3 Express
  • Oracle WebLogic Server 6.1 SP2
  • Oracle WebLogic Server 6.1 SP2 Express
  • Oracle WebLogic Server 6.1 SP3
  • Oracle WebLogic Server 7.0 Express

Reported:

Jul 04, 2002

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page